All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
testing::AssertionResult Class Reference

## Public Member Functions

| AssertionResult (const AssertionResult &other)
template<typename T >
| AssertionResult (const T &success, typename internal::EnableIf< !internal::ImplicitlyConvertible< T, AssertionResult >::value >::type *=NULL)
AssertionResult & | operator= (AssertionResult other)
| operator bool () const
AssertionResult | operator! () const
const char * | message () const
const char * | failure_message () const
template<typename T >
AssertionResult & | operator<< (const T &value)
AssertionResult & | operator<< (::std::ostream &(*basic_manipulator)(::std::ostream &stream))

## Detailed Description

Definition at line 256 of file gtest.h.

The documentation for this class was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/tests/gtest/include/gtest/gtest.h